> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/packaging-units-doms.md).

# Packaging Units (DOMS)

Endpoints for managing packaging units.

## Get all PackagingUnits details

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves all PackagingUnits details

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing packaging units.","name":"PackagingUnits (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/packagingunits":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves all PackagingUnits details","operationId":"getAllPackagingUnitDetails","parameters":[],"responses":{"200":{"description":"Successfully retrieved the PackagingUnits."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get all PackagingUnits details","tags":["PackagingUnits (DOMS)"]}}}}
```

## Create a PackagingUnitDetail by its ID

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a single PackagingUnitDetail.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing packaging units.","name":"PackagingUnits (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackagingUnitDetailForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"carrierRef":{"description":"The reference to the carrier associated with the packagingUnit.","type":"string"},"details":{"anyOf":[{"$ref":"#/components/schemas/PalletDetails"},{"$ref":"#/components/schemas/ParcelDetails"},{"$ref":"#/components/schemas/BulkyGoodsDetails"},{"$ref":"#/components/schemas/TwoManHandlingDetails"},{"$ref":"#/components/schemas/LongGoodsDetails"}]},"tenantPackagingUnitId":{"description":"The tenant specific identifier for the packagingUnit.","type":"string"}},"required":["nameLocalized","tenantPackagingUnitId","carrierRef","details"],"title":"PackagingUnitDetailForCreation","type":"object","description":"PackagingUnitDetailForCreation"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"PalletDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"loadCarrierHeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The height in millimeters of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"loadCarrierWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The tare weight in grams of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolumetricWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The maximum volumetric weight the packagingUnit can hold, as a feasibility cap.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","dimensions","maxWeight","volumetricWeightFactor","packagingPricingDetails"],"title":"PalletDetails","type":"object","description":"PalletDetails"},"PackagingUnitDetailDimensions":{"properties":{"maxHeight":{"description":"The max height of the packagingUnit in millimeters.","type":"number"},"maxLength":{"description":"The max length of the packagingUnit in millimeters.","type":"number"},"maxWidth":{"description":"The max width of the packagingUnit in millimeters.","type":"number"}},"required":["maxHeight","maxLength","maxWidth"],"title":"PackagingUnitDetailDimensions","type":"object","description":"PackagingUnitDetailDimensions"},"PackagingPricingDetails":{"properties":{"costCoefficient":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitCostCoefficient"}],"description":"Cost coefficient for two-man handling"},"pricing":{"items":{"$ref":"#/components/schemas/PackagingUnitDetailPricingByZone"},"maxItems":500,"type":"array"},"surchargesPerPackagingUnits":{"description":"The surcharge applied per packagingUnit.","items":{"discriminator":{"mapping":{"ABSOLUTE_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailAbsoluteSurcharge","RELATIVE_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailRelativeSurcharge","THRESHOLD_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailThresholdSurcharge"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/PackagingUnitDetailRelativeSurcharge"},{"$ref":"#/components/schemas/PackagingUnitDetailAbsoluteSurcharge"},{"$ref":"#/components/schemas/PackagingUnitDetailThresholdSurcharge"}]},"maxItems":500,"type":"array"}},"required":["pricing"],"title":"PackagingPricingDetails","type":"object","description":"PackagingPricingDetails"},"PackagingUnitCostCoefficient":{"properties":{"measurementUnit":{"enum":["GRAM","CUBIC_METER"],"type":"string"},"value":{"$ref":"#/components/schemas/PackagingUnitsMoney"}},"required":["value","measurementUnit"],"title":"PackagingUnitCostCoefficient","type":"object","description":"PackagingUnitCostCoefficient"},"PackagingUnitsMoney":{"properties":{"currency":{"description":"The ISO 4217 currency code, e.g. EUR for Euro.","type":"string"},"decimalPlaces":{"default":2,"description":"The number of decimal places used by the currency, e.g. 2 for Euro.","type":"number"},"value":{"description":"The monetary value in the smallest currency unit","type":"number"}},"required":["currency","value"],"title":"PackagingUnitsMoney","type":"object","description":"PackagingUnitsMoney"},"PackagingUnitDetailPricingByZone":{"properties":{"overflowFactor":{"$ref":"#/components/schemas/PackagingUnitDetailOverflowFactor"},"prices":{"items":{"$ref":"#/components/schemas/PackagingUnitDetailPricesByWeight"},"maxItems":500,"type":"array"},"zone":{"description":"The shipping zone for which the pricing applies. Please proivide the ISO 3166-2 Country Code, followed by a dash and the first digits of the postal code, e.g. DE-50 for Cologne, Germany.","type":"string"}},"required":["prices"],"title":"PackagingUnitDetailPricingByZone","type":"object","description":"PackagingUnitDetailPricingByZone"},"PackagingUnitDetailOverflowFactor":{"properties":{"factor":{"description":"The factor appliable when the overflow factor is exceeded","type":"number"},"price":{"$ref":"#/components/schemas/PackagingUnitsMoney"}},"required":["price","factor"],"title":"PackagingUnitDetailOverflowFactor","type":"object","description":"PackagingUnitDetailOverflowFactor"},"PackagingUnitDetailPricesByWeight":{"properties":{"price":{"$ref":"#/components/schemas/PackagingUnitsMoney"},"upperThreshold":{"description":"The weight threshold in grams up to which this price applies.","type":"number"}},"required":["price","upperThreshold"],"title":"PackagingUnitDetailPricesByWeight","type":"object","description":"PackagingUnitDetailPricesByWeight"},"PackagingUnitDetailRelativeSurcharge":{"properties":{"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"percentage":{"description":"The percentage of the surcharge.","type":"number"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is RELATIVE in this case.","enum":["RELATIVE_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","percentage"],"title":"PackagingUnitDetailRelativeSurcharge","type":"object","description":"PackagingUnitDetailRelativeSurcharge"},"PackagingUnitSurchargeContext":{"properties":{"operator":{"description":"The operator used to define how the context values are evaluated or compared.","enum":["NOT"],"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitSurchargeContextTypes"}],"description":"The kind of context the values refer to."},"values":{"description":"The values the context is matched against.","items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"}},"required":["type","values"],"title":"PackagingUnitSurchargeContext","type":"object","description":"PackagingUnitSurchargeContext"},"PackagingUnitSurchargeContextTypes":{"description":"The kind of context the values refer to.","enum":["CATEGORY","TAG_REFERENCE","TARGET_POSTALCODE","TARGET_COUNTRY"],"title":"PackagingUnitSurchargeContextTypes","type":"string"},"PackagingUnitDetailAbsoluteSurcharge":{"properties":{"amount":{"$ref":"#/components/schemas/PackagingUnitsMoney"},"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is ABSOLUTE in this case.","enum":["ABSOLUTE_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","amount"],"title":"PackagingUnitDetailAbsoluteSurcharge","type":"object","description":"PackagingUnitDetailAbsoluteSurcharge"},"PackagingUnitDetailThresholdSurcharge":{"properties":{"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"minimumAmount":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitsMoney"}],"description":"The amount that is charged whenever the percentage part stays below it."},"percentage":{"description":"The percentage of the surcharge, charged whenever it exceeds the minimum amount.","type":"number"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is THRESHOLD in this case.","enum":["THRESHOLD_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","minimumAmount","percentage"],"title":"PackagingUnitDetailThresholdSurcharge","type":"object","description":"PackagingUnitDetailThresholdSurcharge"},"PackagingUnitPricingBasis":{"properties":{"pricingQuantities":{"description":"The physical quantities compared, each converted to pricingUnit; the highest one determines the chargeable amount. At least one must be given.","items":{"$ref":"#/components/schemas/PackagingUnitPricingQuantity"},"maxItems":3,"type":"array"},"pricingUnit":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingUnit"}],"description":"The unit the pricing quantities are converted to and priced in."}},"required":["pricingUnit","pricingQuantities"],"title":"PackagingUnitPricingBasis","type":"object","description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />PackagingUnitPricingBasis"},"PackagingUnitPricingQuantity":{"description":"The physical quantities compared, each converted to pricingUnit; the highest one determines the chargeable amount. At least one must be given.","enum":["WEIGHT","VOLUME","LOADING_METERS"],"title":"PackagingUnitPricingQuantity","type":"string"},"PackagingUnitPricingUnit":{"description":"The unit the pricing quantities are converted to and priced in.","enum":["GRAM","CUBIC_METER","LOADING_METER"],"title":"PackagingUnitPricingUnit","type":"string"},"PackagingUnitType":{"description":"The type of the packagingUnit.","enum":["PALLET","TWO_MAN_HANDLING","PARCEL","BULKY_GOODS","LONG_GOODS"],"title":"PackagingUnitType","type":"string"},"ParcelDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolumetricWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The maximum volumetric weight the packagingUnit can hold, as a feasibility cap.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","dimensions","maxWeight","packagingPricingDetails"],"title":"ParcelDetails","type":"object","description":"ParcelDetails"},"BulkyGoodsDetails":{"properties":{"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxGirth":{"description":"The maximum girth in millimeters of the packagingUnit.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxLength":{"description":"The maximum length in millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","maxLength","maxGirth","maxWeight","packagingPricingDetails"],"title":"BulkyGoodsDetails","type":"object","description":"BulkyGoodsDetails"},"TwoManHandlingDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolume":{"description":"The maximum volume in cubicle millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"},"weightToVolumeFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The factor converting the weight of the packagingUnit to an equivalent volume.","type":"number"}},"required":["type","dimensions","maxWeight","packagingPricingDetails"],"title":"TwoManHandlingDetails","type":"object","description":"TwoManHandlingDetails"},"LongGoodsDetails":{"properties":{"ldmToWeightFactor":{"description":"The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"loadCarrierHeight":{"description":"The height in millimeters of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"loadCarrierWeight":{"description":"The tare weight in grams of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"maxGirth":{"description":"The maximum girth in millimeters of the packagingUnit.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxLength":{"description":"The maximum length in millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"description":"The type of the packagingUnit.","enum":["PALLET","TWO_MAN_HANDLING","PARCEL","BULKY_GOODS","LONG_GOODS"],"type":"string"},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","packagingPricingDetails"],"title":"LongGoodsDetails","type":"object","description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />LongGoodsDetails"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/packagingunits":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a single PackagingUnitDetail.","operationId":"createPackagingUnitDetail","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackagingUnitDetailForCreation"}}},"required":true},"responses":{"200":{"description":"Successfully created the PackagingUnitDetail."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Create a PackagingUnitDetail by its ID","tags":["PackagingUnits (DOMS)"]}}}}
```

## Get a PackagingUnits by its ID

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single PackagingUnit using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing packaging units.","name":"PackagingUnits (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/packagingunits/{id}":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single PackagingUnit using its unique identifier.","operationId":"getPackagingUnit","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved the PackagingUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a PackagingUnits by its ID","tags":["PackagingUnits (DOMS)"]}}}}
```

## Updates a whole packagingUnitDetail by its ID

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Updates a single packagingUnitDetail.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing packaging units.","name":"PackagingUnits (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackagingUnitDetailForUpdate":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"carrierRef":{"description":"The reference to the carrier associated with the packagingUnit.","type":"string"},"details":{"anyOf":[{"$ref":"#/components/schemas/PalletDetails"},{"$ref":"#/components/schemas/ParcelDetails"},{"$ref":"#/components/schemas/BulkyGoodsDetails"},{"$ref":"#/components/schemas/TwoManHandlingDetails"},{"$ref":"#/components/schemas/LongGoodsDetails"}]},"tenantPackagingUnitId":{"description":"The tenant specific identifier for the packagingUnit.","type":"string"},"version":{"description":"The version of the packagingUnit.","type":"number"}},"required":["nameLocalized","tenantPackagingUnitId","carrierRef","details","version"],"title":"PackagingUnitDetailForUpdate","type":"object","description":"PackagingUnitDetailForUpdate"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"PalletDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"loadCarrierHeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The height in millimeters of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"loadCarrierWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The tare weight in grams of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolumetricWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The maximum volumetric weight the packagingUnit can hold, as a feasibility cap.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","dimensions","maxWeight","volumetricWeightFactor","packagingPricingDetails"],"title":"PalletDetails","type":"object","description":"PalletDetails"},"PackagingUnitDetailDimensions":{"properties":{"maxHeight":{"description":"The max height of the packagingUnit in millimeters.","type":"number"},"maxLength":{"description":"The max length of the packagingUnit in millimeters.","type":"number"},"maxWidth":{"description":"The max width of the packagingUnit in millimeters.","type":"number"}},"required":["maxHeight","maxLength","maxWidth"],"title":"PackagingUnitDetailDimensions","type":"object","description":"PackagingUnitDetailDimensions"},"PackagingPricingDetails":{"properties":{"costCoefficient":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitCostCoefficient"}],"description":"Cost coefficient for two-man handling"},"pricing":{"items":{"$ref":"#/components/schemas/PackagingUnitDetailPricingByZone"},"maxItems":500,"type":"array"},"surchargesPerPackagingUnits":{"description":"The surcharge applied per packagingUnit.","items":{"discriminator":{"mapping":{"ABSOLUTE_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailAbsoluteSurcharge","RELATIVE_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailRelativeSurcharge","THRESHOLD_SURCHARGE_TYPE":"#/components/schemas/PackagingUnitDetailThresholdSurcharge"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/PackagingUnitDetailRelativeSurcharge"},{"$ref":"#/components/schemas/PackagingUnitDetailAbsoluteSurcharge"},{"$ref":"#/components/schemas/PackagingUnitDetailThresholdSurcharge"}]},"maxItems":500,"type":"array"}},"required":["pricing"],"title":"PackagingPricingDetails","type":"object","description":"PackagingPricingDetails"},"PackagingUnitCostCoefficient":{"properties":{"measurementUnit":{"enum":["GRAM","CUBIC_METER"],"type":"string"},"value":{"$ref":"#/components/schemas/PackagingUnitsMoney"}},"required":["value","measurementUnit"],"title":"PackagingUnitCostCoefficient","type":"object","description":"PackagingUnitCostCoefficient"},"PackagingUnitsMoney":{"properties":{"currency":{"description":"The ISO 4217 currency code, e.g. EUR for Euro.","type":"string"},"decimalPlaces":{"default":2,"description":"The number of decimal places used by the currency, e.g. 2 for Euro.","type":"number"},"value":{"description":"The monetary value in the smallest currency unit","type":"number"}},"required":["currency","value"],"title":"PackagingUnitsMoney","type":"object","description":"PackagingUnitsMoney"},"PackagingUnitDetailPricingByZone":{"properties":{"overflowFactor":{"$ref":"#/components/schemas/PackagingUnitDetailOverflowFactor"},"prices":{"items":{"$ref":"#/components/schemas/PackagingUnitDetailPricesByWeight"},"maxItems":500,"type":"array"},"zone":{"description":"The shipping zone for which the pricing applies. Please proivide the ISO 3166-2 Country Code, followed by a dash and the first digits of the postal code, e.g. DE-50 for Cologne, Germany.","type":"string"}},"required":["prices"],"title":"PackagingUnitDetailPricingByZone","type":"object","description":"PackagingUnitDetailPricingByZone"},"PackagingUnitDetailOverflowFactor":{"properties":{"factor":{"description":"The factor appliable when the overflow factor is exceeded","type":"number"},"price":{"$ref":"#/components/schemas/PackagingUnitsMoney"}},"required":["price","factor"],"title":"PackagingUnitDetailOverflowFactor","type":"object","description":"PackagingUnitDetailOverflowFactor"},"PackagingUnitDetailPricesByWeight":{"properties":{"price":{"$ref":"#/components/schemas/PackagingUnitsMoney"},"upperThreshold":{"description":"The weight threshold in grams up to which this price applies.","type":"number"}},"required":["price","upperThreshold"],"title":"PackagingUnitDetailPricesByWeight","type":"object","description":"PackagingUnitDetailPricesByWeight"},"PackagingUnitDetailRelativeSurcharge":{"properties":{"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"percentage":{"description":"The percentage of the surcharge.","type":"number"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is RELATIVE in this case.","enum":["RELATIVE_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","percentage"],"title":"PackagingUnitDetailRelativeSurcharge","type":"object","description":"PackagingUnitDetailRelativeSurcharge"},"PackagingUnitSurchargeContext":{"properties":{"operator":{"description":"The operator used to define how the context values are evaluated or compared.","enum":["NOT"],"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitSurchargeContextTypes"}],"description":"The kind of context the values refer to."},"values":{"description":"The values the context is matched against.","items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"}},"required":["type","values"],"title":"PackagingUnitSurchargeContext","type":"object","description":"PackagingUnitSurchargeContext"},"PackagingUnitSurchargeContextTypes":{"description":"The kind of context the values refer to.","enum":["CATEGORY","TAG_REFERENCE","TARGET_POSTALCODE","TARGET_COUNTRY"],"title":"PackagingUnitSurchargeContextTypes","type":"string"},"PackagingUnitDetailAbsoluteSurcharge":{"properties":{"amount":{"$ref":"#/components/schemas/PackagingUnitsMoney"},"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is ABSOLUTE in this case.","enum":["ABSOLUTE_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","amount"],"title":"PackagingUnitDetailAbsoluteSurcharge","type":"object","description":"PackagingUnitDetailAbsoluteSurcharge"},"PackagingUnitDetailThresholdSurcharge":{"properties":{"context":{"description":"Restricts the surcharge to the given contexts. If omitted, the surcharge always applies.","items":{"$ref":"#/components/schemas/PackagingUnitSurchargeContext"},"maxItems":500,"type":"array"},"minimumAmount":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitsMoney"}],"description":"The amount that is charged whenever the percentage part stays below it."},"percentage":{"description":"The percentage of the surcharge, charged whenever it exceeds the minimum amount.","type":"number"},"tenantSurchargeType":{"description":"The tenant specific identifier for the surcharge type.","type":"string"},"type":{"description":"The type of surcharge, which is THRESHOLD in this case.","enum":["THRESHOLD_SURCHARGE_TYPE"],"type":"string"}},"required":["tenantSurchargeType","type","minimumAmount","percentage"],"title":"PackagingUnitDetailThresholdSurcharge","type":"object","description":"PackagingUnitDetailThresholdSurcharge"},"PackagingUnitPricingBasis":{"properties":{"pricingQuantities":{"description":"The physical quantities compared, each converted to pricingUnit; the highest one determines the chargeable amount. At least one must be given.","items":{"$ref":"#/components/schemas/PackagingUnitPricingQuantity"},"maxItems":3,"type":"array"},"pricingUnit":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingUnit"}],"description":"The unit the pricing quantities are converted to and priced in."}},"required":["pricingUnit","pricingQuantities"],"title":"PackagingUnitPricingBasis","type":"object","description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />PackagingUnitPricingBasis"},"PackagingUnitPricingQuantity":{"description":"The physical quantities compared, each converted to pricingUnit; the highest one determines the chargeable amount. At least one must be given.","enum":["WEIGHT","VOLUME","LOADING_METERS"],"title":"PackagingUnitPricingQuantity","type":"string"},"PackagingUnitPricingUnit":{"description":"The unit the pricing quantities are converted to and priced in.","enum":["GRAM","CUBIC_METER","LOADING_METER"],"title":"PackagingUnitPricingUnit","type":"string"},"PackagingUnitType":{"description":"The type of the packagingUnit.","enum":["PALLET","TWO_MAN_HANDLING","PARCEL","BULKY_GOODS","LONG_GOODS"],"title":"PackagingUnitType","type":"string"},"ParcelDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolumetricWeight":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The maximum volumetric weight the packagingUnit can hold, as a feasibility cap.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","dimensions","maxWeight","packagingPricingDetails"],"title":"ParcelDetails","type":"object","description":"ParcelDetails"},"BulkyGoodsDetails":{"properties":{"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxGirth":{"description":"The maximum girth in millimeters of the packagingUnit.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxLength":{"description":"The maximum length in millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","maxLength","maxGirth","maxWeight","packagingPricingDetails"],"title":"BulkyGoodsDetails","type":"object","description":"BulkyGoodsDetails"},"TwoManHandlingDetails":{"properties":{"dimensions":{"$ref":"#/components/schemas/PackagingUnitDetailDimensions"},"ldmToWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxVolume":{"description":"The maximum volume in cubicle millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitType"}],"description":"The type of the packagingUnit."},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The volumetric weight factor for the packagingUnit.","type":"number"},"weightToVolumeFactor":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />The factor converting the weight of the packagingUnit to an equivalent volume.","type":"number"}},"required":["type","dimensions","maxWeight","packagingPricingDetails"],"title":"TwoManHandlingDetails","type":"object","description":"TwoManHandlingDetails"},"LongGoodsDetails":{"properties":{"ldmToWeightFactor":{"description":"The grams equivalent to 1 loading meter, converting between weight and loading meters.","type":"number"},"loadCarrierHeight":{"description":"The height in millimeters of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"loadCarrierWeight":{"description":"The tare weight in grams of the empty load carrier (e.g. pallet or skid) itself.","type":"number"},"maxGirth":{"description":"The maximum girth in millimeters of the packagingUnit.","type":"number"},"maxItemQuantity":{"description":"The maximum number of items that can fit in the packagingUnit.","type":"number"},"maxLength":{"description":"The maximum length in millimeters of the packagingUnit.","type":"number"},"maxWeight":{"description":"The maximum weight in grams that the packagingUnit can hold.","type":"number"},"packagingPricingDetails":{"$ref":"#/components/schemas/PackagingPricingDetails"},"pricingBasis":{"allOf":[{"$ref":"#/components/schemas/PackagingUnitPricingBasis"}],"description":"The basis used to determine which quantity of the packagingUnit is chargeable."},"type":{"description":"The type of the packagingUnit.","enum":["PALLET","TWO_MAN_HANDLING","PARCEL","BULKY_GOODS","LONG_GOODS"],"type":"string"},"volumeBufferInPercent":{"description":"The volume buffer in percent for the packagingUnit.","type":"number"},"volumetricWeightFactor":{"description":"The volumetric weight factor for the packagingUnit.","type":"number"}},"required":["type","packagingPricingDetails"],"title":"LongGoodsDetails","type":"object","description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />LongGoodsDetails"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/packagingunits/{id}":{"put":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Updates a single packagingUnitDetail.","operationId":"putPackagingUnitDetail","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackagingUnitDetailForUpdate"}}},"required":true},"responses":{"200":{"description":"Successfully updated the packagingUnitDetail."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Updates a whole packagingUnitDetail by its ID","tags":["PackagingUnits (DOMS)"]}}}}
```

## Delete a PackagingUnitDetail by its ID

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Deletes a single PackagingUnitDetail using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing packaging units.","name":"PackagingUnits (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/packagingunits/{id}":{"delete":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Deletes a single PackagingUnitDetail using its unique identifier.","operationId":"deletePackagingUnitDetail","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully deleted the PackagingUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete a PackagingUnitDetail by its ID","tags":["PackagingUnits (DOMS)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/packaging-units-doms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
